## sscg 3.0.2

=== meson_options.txt ===
# This file is part of sscg.
#
# sscg is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# sscg is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with sscg.  If not, see <http://www.gnu.org/licenses/>.
#
# Copyright 2019 by Stephen Gallagher <sgallagh@redhat.com>

# Generating 4096-bit Diffie-Hellman parameters can take over ten minutes on a
# fast system. We skip testing it by default.

# Some tests take a long time (dozens of seconds or even minutes)
# For general development, we will skip them and run them only in the CI
# environment.
option('run_slow_tests', type : 'boolean', value : false)

=== debian/changelog ===
sscg (3.0.2-1) unstable; urgency=medium

  * New upstream bug fix release:
   - dhparams: Fix the FIPS_mode() call for OpenSSL 3.0. (Closes: #1006576)

 -- Martin Pitt <mpitt@debian.org>  Tue, 01 Mar 2022 06:33:17 +0100

sscg (3.0.1-2) unstable; urgency=medium

  * Increase unit test timeout.
    Bring back meson test's --timeout-multiplier option, as some other
    unit tests are still timing out on some slower Debian architectures.

 -- Martin Pitt <mpitt@debian.org>  Sun, 07 Nov 2021 11:39:45 +0100

sscg (3.0.1-1) unstable; urgency=medium

  * New upstream version 3.0.1:
    - Add Debian packaging
    - Correct certificate lifetime calculation
    - Drop popt and clean up `git archive`
  * debian/watch: Accept *.tar.gz files as well. Upstream version 3.0.1
    dropped custom release artifacts and just relies on the automatic `git
    archive` tarballs.
  * Reduce debhelper compat level to 12. This makes the package buildable in
    Ubuntu 20.04 LTS, so helps backports and upstream CI.
  * debian/rules: Drop obsolete meson test --timeout-multiplier option.
    This was fixed upstream in a better way, and current meson 0.60 dropped
    this option.
  * debian/copyright: Drop obsolete subprojects/popt/ paragraph.
    The bundled subproject got removed upstream.

 -- Martin Pitt <mpitt@debian.org>  Sun, 07 Nov 2021 08:34:38 +0100

sscg (3.0.0-4) unstable; urgency=medium

  * Increase unit test timeout during package build even more.
    Ten minutes is still too slow on some architectures.

 -- Martin Pitt <mpitt@debian.org>  Thu, 26 Aug 2021 12:26:19 +0200

sscg (3.0.0-3) unstable; urgency=medium

  * Increase unit test timeout during package build.
    The default 60s timeout is hit on many buildd architectures, as
    named_dhparams_test is very expensive.

 -- Martin Pitt <mpitt@debian.org>  Wed, 25 Aug 2021 15:35:16 +0200

sscg (3.0.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.0. No changes necessary.
  * Update to debhelper compat version 13

 -- Martin Pitt <mpitt@debian.org>  Mon, 23 Aug 2021 11:26:07 +0200

sscg (3.0.0-1) experimental; urgency=medium

  * New upstream version 3.0.0
  * debian/copyright: Add subprojects/popt
  * debian/watch: Fix for xz tarballs and move to version 4

 -- Martin Pitt <mpitt@debian.org>  Sun, 22 Aug 2021 12:26:54 +0200

sscg (2.6.2-1) experimental; urgency=low

  * Initial release. (Closes: #986830)

 -- Stephen Gallagher <sgallagh@redhat.com>  Tue, 20 Apr 2021 12:51:32 +0200

=== debian/control ===
Source: sscg
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 12),
 meson,
 help2man,
 libpath-utils-dev,
 libpopt-dev,
 libssl-dev,
 libtalloc-dev,
 pkgconf,
Maintainer: Stephen Gallagher <sgallagh@redhat.com>
Uploaders: Martin Pitt <mpitt@debian.org>
Homepage: https://github.com/sgallagher/sscg/
Vcs-Git: https://salsa.debian.org/debian/sscg.git
Vcs-Browser: https://salsa.debian.org/debian/sscg
Standards-Version: 4.6.0
Rules-Requires-Root: no

Package: sscg
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Recommends: python3, powertop
Description: simple SSL certificate generator
 sscg is a utility to aid in the creation of more secure "self-signed"
 certificates. The certificates created by this tool are generated in a
 way so as to create a CA certificate that can be safely imported into a
 client machine to trust the service certificate without needing to set
 up a full PKI environment and without exposing the machine to a risk of
 false signatures from the service certificate.

=== debian/tests/control ===
Tests: smoke

## sscg 3.0.8

=== meson_options.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+# SPDX-License-Identifier: GPL-3.0-or-later WITH cryptsetup-OpenSSL-exception
 # This file is part of sscg.
 #
 # sscg is free software: you can redistribute it and/or modify
@@ -13,7 +14,7 @@
 # You should have received a copy of the GNU General Public License
 # along with sscg.  If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 2019 by Stephen Gallagher <sgallagh@redhat.com>
+# Copyright 2019-2025 by Stephen Gallagher <sgallagh@redhat.com>
 
 # Generating 4096-bit Diffie-Hellman parameters can take over ten minutes on a
 # fast system. We skip testing it by default.

=== debian/changelog ===
sscg (3.0.8-2) unstable; urgency=medium

  * Add openssl test dependency (Closes: #1114398)
  * debian/watch: Fix for current GitHub.
    HTML scraping of the /releases page does not work any more. There are no
    actual tarball artifacts other than the GitHub autogenerated tag
    archives, so look at these directly.

 -- Martin Pitt <mpitt@debian.org>  Wed, 10 Sep 2025 02:57:36 +0000

sscg (3.0.8-1) unstable; urgency=medium

  * New upstream release.
  * Drop obsolete 0001-x509-version.patch
  * Bump Standards-Version to 4.7.2.  No changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Sun, 31 Aug 2025 08:09:05 +0000

sscg (3.0.2-2) unstable; urgency=medium

  [ Martin Pitt ]
  * Bump Standards-Version to 4.7.0. No changes necessary.
  * Fix CSR creation with openssl 3.4.  Taken from upstream, thanks to
    Sebastian Andrzej Siewior! (Closes: #1085434)
  * gbp.conf: Explicitly enable pristine-tar

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Martin Pitt <mpitt@debian.org>  Wed, 23 Oct 2024 06:43:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: sscg
 Section: utils
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  meson,
  help2man,
  libpath-utils-dev,
@@ -9,12 +9,13 @@
  libssl-dev,
  libtalloc-dev,
  pkgconf,
+ openssl <!nocheck>,
 Maintainer: Stephen Gallagher <sgallagh@redhat.com>
 Uploaders: Martin Pitt <mpitt@debian.org>
 Homepage: https://github.com/sgallagher/sscg/
 Vcs-Git: https://salsa.debian.org/debian/sscg.git
 Vcs-Browser: https://salsa.debian.org/debian/sscg
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 
 Package: sscg

=== debian/tests/control ===
Tests: smoke
Depends: @, openssl

=== debian/watch ===
Version: 5
Source: https://github.com/sgallagher/sscg.git
Matching-Pattern: refs/tags/sscg-(\d[\d\.]+)
Mode: git

## sscg 4.0.3

=== debian/changelog ===
sscg (4.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop libpath-utils-dev build dependency.
    Not needed any more by current upstream version.
  * Bump Standards-Version to 4.7.3.
    Drop explicit "Priority: optional", which is now the default.

 -- Martin Pitt <mpitt@debian.org>  Mon, 02 Feb 2026 15:55:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: sscg
 Section: utils
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
  meson,
  help2man,
- libpath-utils-dev,
  libpopt-dev,
  libssl-dev,
  libtalloc-dev,
@@ -15,7 +13,7 @@
 Homepage: https://github.com/sgallagher/sscg/
 Vcs-Git: https://salsa.debian.org/debian/sscg.git
 Vcs-Browser: https://salsa.debian.org/debian/sscg
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 
 Package: sscg
